<app-nav-bar></app-nav-bar>
<app-sidebar></app-sidebar>

<app-photo-container>

    <div class="column" *ngFor="let painting of paintings; let i = index">
      <div class="card">
        <img class="card-img-top" [src]="painting.pictureUrl" alt="Card image cap">
        <div class="card-body">
          <h6 class="card-title">{{painting.title}}</h6>
          <h6 class="card-text">{{painting.artist}}</h6>
          <p>{{painting.dimension + ' ' + (painting.price | currency: 'EUR')}}</p>
          <p>{{painting.technique}}</p>
          <div class="button-container">
            <button (click)="actionsService.onSearchClick(painting.pictureUrl)">
                <i class="fa fa-search" aria-hidden="true"></i>
              </button>
              <button (click)="actionsService.favorite(painting)" [ngStyle]="{'color': actionsService.isFavorite(painting) ? 'red': 'white'}">
                <i class="fa fa-heart-o" aria-hidden="true"></i>
              </button>
              <button (click)="actionsService.onBuyClick(painting)" [ngStyle]="{'color': actionsService.isInCart(painting) ? 'blue': 'white'}">
                <i class="fa fa-shopping-cart" aria-hidden="true"></i>
            </button>
          </div>
          
        </div>
      </div>
    </div>

</app-photo-container>